org.apache.ignite.plugin.security

## Interface SecuritySubject

All Superinterfaces:
  Serializable

    public interface SecuritySubject
    extends Serializable

Security subject representing authenticated node with a set of permissions.

### Method Summary

Methods
`InetSocketAddress` `address()` Gets subject connection address.
`UUID` `id()` Gets subject ID.
`Object` `login()` Login provided via subject security credentials.
`SecurityPermissionSet` `permissions()` Authorized permission set for the subject.
`SecuritySubjectType` `type()` Gets subject type for node.

### Method Detail

#### id

    UUID id()

Gets subject ID.

Returns:
  Subject ID.

#### type

    SecuritySubjectType type()

Gets subject type for node.

Returns:
  Subject type.

#### login

    Object login()

Login provided via subject security credentials.

Returns:
  Login object.

#### address

    InetSocketAddress address()

Gets subject connection address. Usually `InetSocketAddress` representing connection IP and port.

Returns:
  Subject connection address.

#### permissions

    SecurityPermissionSet permissions()

Authorized permission set for the subject.

Returns:
  Authorized permission set for the subject.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016